aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-test-inter/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-07-25 07:32:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-07-25 07:32:33 +0000
commitb2c405418c056a400e865b195bd7ea6f9c2c55d4 (patch)
tree4fb219e4cbb8019e842664046fc9fc14121e525c /main/perl-test-inter/APKBUILD
parentea24e722cedf9a5e62448f1bac0c0e42c09d350c (diff)
downloadaports-b2c405418c056a400e865b195bd7ea6f9c2c55d4.tar.gz
aports-b2c405418c056a400e865b195bd7ea6f9c2c55d4.tar.bz2
aports-b2c405418c056a400e865b195bd7ea6f9c2c55d4.tar.xz
main/perl-test-inter: upgrade to 1.05
Diffstat (limited to 'main/perl-test-inter/APKBUILD')
-rw-r--r--main/perl-test-inter/APKBUILD43
1 files changed, 23 insertions, 20 deletions
diff --git a/main/perl-test-inter/APKBUILD b/main/perl-test-inter/APKBUILD
index 4a28a8c3b6..f9aeb6402f 100644
--- a/main/perl-test-inter/APKBUILD
+++ b/main/perl-test-inter/APKBUILD
@@ -1,37 +1,40 @@
-# Contributor: Mika Havela <mika.havela@gmail.com>
-# Maintainer: Mika Havela <mika.havela@gmail.com>
+# Automatically generated by apkbuild-cpan, template 1
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=perl-test-inter
-_realname=Test-Inter
-pkgver=1.03
+_pkgreal=Test-Inter
+pkgver=1.05
pkgrel=0
-pkgdesc="Perl - Framework for more readable interactive test scripts"
-url="http://search.cpan.org/~sbeck/$_realname-$pkgver/"
+pkgdesc="framework for more readable interactive test scripts"
+url="http://search.cpan.org/dist/Test-Inter/"
arch="noarch"
-license="Artistic GPL"
-depends="perl perl-test-pod perl-pod-coverage perl-test-pod-coverage"
-makedepends="perl-dev"
-install=
-#subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/S/SB/SBECK/$_realname-$pkgver.tar.gz"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SB/SBECK/$_pkgreal-$pkgver.tar.gz"
-_builddir="$srcdir/$_realname-$pkgver"
+_builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ perl Build.PL installdirs=vendor || return 1
}
build() {
cd "$_builddir"
- PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
- make || return 1
- make test || return 1
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
}
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install
- # creates file collision among perl modules
- find "$pkgdir" -name perllocal.pod -delete
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="02705664dc874bc8b59b9b313a7572f5 Test-Inter-1.03.tar.gz"
+md5sums="5c021ced9a642f9bb28aa0b8ac6f50a1 Test-Inter-1.05.tar.gz"
+sha256sums="bda95ef503f1c1b39a5cd1ea686d18a67a63b56a8eb458f0614fc2acc51f7988 Test-Inter-1.05.tar.gz"
+sha512sums="8c9a2b5be22017f4b3394b009aad26876211bc2973261687b98ab6b2d055875a4920225a6d596ee53b396a5eb240f9376bb2794ce4e64854c9e5ce1e86a5c534 Test-Inter-1.05.tar.gz"